Last Comment Bug 702503 - PR_TRUE/PR_FALSE added as a result of bug 666446
: PR_TRUE/PR_FALSE added as a result of bug 666446
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: ImageLib (show other bugs)
: Trunk
: All All
: P5 normal (vote)
: mozilla11
Assigned To: Scott Johnson (:jwir3)
:
: Milan Sreckovic [:milan]
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-11-14 18:24 PST by Scott Johnson (:jwir3)
Modified: 2012-02-01 13:57 PST (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments
b702503 (v1) (2.53 KB, patch)
2011-11-14 18:32 PST, Scott Johnson (:jwir3)
dholbert: review+
Details | Diff | Splinter Review

Description Scott Johnson (:jwir3) 2011-11-14 18:24:24 PST
There were a couple of PR_TRUE/PR_FALSE literals added as a result of bug 666446 landing. These should be removed.
Comment 1 Scott Johnson (:jwir3) 2011-11-14 18:32:52 PST
Created attachment 574500 [details] [diff] [review]
b702503 (v1)
Comment 2 Masatoshi Kimura [:emk] 2011-11-14 18:35:22 PST
Is there a way to prevent repeating it in the future?
Comment 3 Scott Johnson (:jwir3) 2011-11-14 18:38:37 PST
(In reply to Masatoshi Kimura [:emk] from comment #2)
> Is there a way to prevent repeating it in the future?

Well, we could remove the #defines, but I think we need them for some files, namely C files. I suppose we could make tbpl go orange if you add patches with PRBool (or even deny the push).

But, I think it's probably pretty minor, so I don't know if it's worth worrying about.
Comment 4 Scott Johnson (:jwir3) 2011-11-14 19:22:33 PST
Pushed to inbound:

https://hg.mozilla.org/integration/mozilla-inbound/rev/4829dd3ae900
Comment 5 Ed Morley [:emorley] 2011-11-15 11:53:35 PST
https://hg.mozilla.org/mozilla-central/rev/4829dd3ae900

Note You need to log in before you can comment on or make changes to this bug.